IOSS 2.0

Public Member Functions | Public Attributes | List of all members
Iogn::ExodusData Struct Reference

`#include <Iogn_DashSurfaceMesh.h>`

## Public Member Functions
| ExodusData ()
| ExodusData (const std::vector< double > coords, const std::vector< std::vector< int >> elemBlockConnectivity, const std::vector< int > globalNumOfElemsInBlock, const std::vector< int > localNumOfElemsInBlock, const std::vector< Topology > blockTopoData, int globalNumNodes, const std::vector< int > globalIdsOfLocalElems, const std::vector< int > globalIdsLocalNodes, std::vector< std::vector< int >> sidesetConn=std::vector< std::vector< int >>(), std::vector< std::vector< std::string >> sidesetBlocks=std::vector< std::vector< std::string >>())

## Public Attributes
std::vector< double > | coordinates
const std::vector< std::vector< int > > | elementBlockConnectivity
const std::vector< int > | globalNumberOfElementsInBlock
const std::vector< int > | localNumberOfElementsInBlock
const std::vector< Topology > | blockTopologicalData
const int | globalNumberOfNodes
const std::vector< int > | globalIdsOfLocalElements
const std::vector< int > | globalIdsOfLocalNodes
std::vector< SharedNode > | sharedNodes
std::vector< std::vector< int > > | sidesetConnectivity
std::vector< std::vector< std::string > > | sidesetTouchingBlocks

## Constructor & Destructor Documentation

## ◆ ExodusData() [1/2]

Iogn::ExodusData::ExodusData | ( |  | ) |
| inline

## ◆ ExodusData() [2/2]

Iogn::ExodusData::ExodusData | ( | const std::vector< double > | coords,
|  | const std::vector< std::vector< int >> | elemBlockConnectivity,
|  | const std::vector< int > | globalNumOfElemsInBlock,
|  | const std::vector< int > | localNumOfElemsInBlock,
|  | const std::vector< Topology > | blockTopoData,
|  | int | globalNumNodes,
|  | const std::vector< int > | globalIdsOfLocalElems,
|  | const std::vector< int > | globalIdsLocalNodes,
|  | std::vector< std::vector< int >> | sidesetConn = `std::vector<std::vector<int>>()`,
|  | std::vector< std::vector< std::string >> | sidesetBlocks = `std::vector<std::vector<std::string>>()`
| ) |  |
| inline

## Member Data Documentation

## ◆ blockTopologicalData

const std::vector<Topology> Iogn::ExodusData::blockTopologicalData

## ◆ coordinates

std::vector<double> Iogn::ExodusData::coordinates

## ◆ elementBlockConnectivity

const std::vector<std::vector<int> > Iogn::ExodusData::elementBlockConnectivity

## ◆ globalIdsOfLocalElements

const std::vector<int> Iogn::ExodusData::globalIdsOfLocalElements

## ◆ globalIdsOfLocalNodes

const std::vector<int> Iogn::ExodusData::globalIdsOfLocalNodes

## ◆ globalNumberOfElementsInBlock

const std::vector<int> Iogn::ExodusData::globalNumberOfElementsInBlock

## ◆ globalNumberOfNodes

const int Iogn::ExodusData::globalNumberOfNodes

## ◆ localNumberOfElementsInBlock

const std::vector<int> Iogn::ExodusData::localNumberOfElementsInBlock

## ◆ sharedNodes

std::vector<SharedNode> Iogn::ExodusData::sharedNodes

## ◆ sidesetConnectivity

std::vector<std::vector<int> > Iogn::ExodusData::sidesetConnectivity

## ◆ sidesetTouchingBlocks

std::vector<std::vector<std::string> > Iogn::ExodusData::sidesetTouchingBlocks

The documentation for this struct was generated from the following file:

- src/generated/Iogn_DashSurfaceMesh.h